|  | Home · All Classes · Modules

# Qt.ItemFlags Class Reference
[QtCore module]

### Methods

- __init__ (self, ItemFlags)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- ItemFlags __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, ItemFlags f)
- ItemFlags __iand__ (self, int mask)
- int __int__ (self)
- ItemFlags __invert__ (self)
- ItemFlags __ior__ (self, ItemFlags f)
- ItemFlags __ixor__ (self, ItemFlags f)
- bool __ne__ (self, ItemFlags f)
- ItemFlags __or__ (self, ItemFlags f)
- ItemFlags __xor__ (self, ItemFlags f)

## Detailed Description

ItemFlag may be used whenever ItemFlags is expected.

## Method Documentation

### ItemFlags.__init__ (self, ItemFlags)

### ItemFlags.__init__ (self, int)

### ItemFlags.__init__ (self)

### ItemFlags ItemFlags.__and__ (self, int mask)

### int ItemFlags.__bool__ (self)

### bool ItemFlags.__eq__ (self, ItemFlags f)

### ItemFlags ItemFlags.__iand__ (self, int mask)

### int ItemFlags.__int__ (self)

### ItemFlags ItemFlags.__invert__ (self)

### ItemFlags ItemFlags.__ior__ (self, ItemFlags f)

### ItemFlags ItemFlags.__ixor__ (self, ItemFlags f)

### bool ItemFlags.__ne__ (self, ItemFlags f)

### ItemFlags ItemFlags.__or__ (self, ItemFlags f)

### ItemFlags ItemFlags.__xor__ (self, ItemFlags f)